%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 1.1-0
%define languagelocal uk
%define languageeng ukrainian
%define languageenglazy Ukrainian
%define languagecode uk
%define lc_ctype en_UK

Summary:	%{languageenglazy} files for aspell
Name:		aspell-%{languagecode}
Version:	0.60.0
Release:	%mkrel 1
Group:		System/Internationalization
Source:	    http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell6-%{languagecode}-%{src_ver}.tar.bz2
URL:		http://aspell.sourceforge.net/
License:	GPL
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides: spell-%{languagecode}

BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50

# Mandrake Stuff
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell6-%{languagecode}-%{src_ver}

%build
# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

# fix doc perms
chmod 644 README* Copyright doc/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* Copyright doc/*
%{_libdir}/aspell-*/*


%changelog
* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-1mdv2007.0
+ Revision: 123382
- Import aspell-uk



* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.60.0-1mdv2007.1
- use the mkrel macro
- disable debug packages

* Mon Nov 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.60.0-1mdk
- new release (thus saving 5Mb on CDs)

* Mon Oct 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.51.0-4mdk
- should not be a noarch packag

* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.51.0-3mdk
- rebuild for new aspell

* Tue Jul 27 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.0-2mdk
- allow build on ia64

* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.0-1mdk
- updated to 0.51

* Tue Aug 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-8mdk
- added directories owning

* Thu Jul 03 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-7mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.3-6mdk
- recompile with correct build environment

* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.50.3-5mdk
- add tag Provides spell-uk

* Thu Feb 20 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-4mdk
- fixed buildrequires
- fixed description

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-3mdk
- rebuild

* Mon Nov 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-2mdk
- fix doc perms
- noarch
- BuilRequires make is useless

* Sun Nov 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-1mdk
- first mdk release
- warning for locales
